import type { CollectionPermission, GlobalPermission } from 'payload/auth';
import type { SanitizedCollectionConfig } from 'payload/types';
import React from 'react';
import './index.scss';
export declare const DocumentControls: React.FC<{
    apiURL: string;
    data?: any;
    disableActions?: boolean;
    hasSavePermission?: boolean;
    id?: number | string;
    isAccountView?: boolean;
    isEditing?: boolean;
    permissions: CollectionPermission | GlobalPermission | null;
    slug: SanitizedCollectionConfig['slug'];
}>;
//# sourceMappingURL=index.d.ts.map