import type { Data, FileSize, SanitizedCollectionConfig } from 'payload/types';
import React from 'react';
import './index.scss';
type FileInfo = FileSize & {
    url: string;
};
type FilesSizesWithUrl = {
    [key: string]: FileInfo;
};
declare const PreviewSizes: React.FC<{
    doc: Data & {
        sizes?: FilesSizesWithUrl;
    };
    imageCacheTag?: string;
    uploadConfig: SanitizedCollectionConfig['upload'];
}>;
export default PreviewSizes;
//# sourceMappingURL=index.d.ts.map