import type { Column } from '../Table/types.js';
type TOGGLE = {
    payload: {
        column: string;
    };
    type: 'toggle';
};
type SET = {
    payload: {
        columns: Column[];
    };
    type: 'set';
};
type MOVE = {
    payload: {
        fromIndex: number;
        toIndex: number;
    };
    type: 'move';
};
export type Action = MOVE | SET | TOGGLE;
export declare const columnReducer: (state: Column[], action: Action) => Column[];
export {};
//# sourceMappingURL=columnReducer.d.ts.map