import type { FieldPermissions } from 'payload/auth';
import type { Labels, Row } from 'payload/types';
import React from 'react';
import type { UseDraggableSortableReturn } from '../../../elements/DraggableSortable/useDraggableSortable/types.js';
import type { ReducedBlock } from '../../../utilities/buildComponentMap/types.js';
type BlockFieldProps = UseDraggableSortableReturn & {
    addRow: (rowIndex: number, blockType: string) => void;
    block: ReducedBlock;
    blocks: ReducedBlock[];
    duplicateRow: (rowIndex: number) => void;
    forceRender?: boolean;
    hasMaxRows?: boolean;
    indexPath: string;
    labels: Labels;
    moveRow: (fromIndex: number, toIndex: number) => void;
    path: string;
    permissions: FieldPermissions;
    readOnly: boolean;
    removeRow: (rowIndex: number) => void;
    row: Row;
    rowCount: number;
    rowIndex: number;
    schemaPath: string;
    setCollapse: (id: string, collapsed: boolean) => void;
};
export declare const BlockRow: React.FC<BlockFieldProps>;
export {};
//# sourceMappingURL=BlockRow.d.ts.map