import type { Data, Field as FieldSchema, FormState, PayloadRequest } from 'payload/types';
type Args = {
    data?: Data;
    fieldSchema: FieldSchema[] | undefined;
    id?: number | string;
    operation?: 'create' | 'update';
    preferences: {
        [key: string]: unknown;
    };
    req: PayloadRequest;
    siblingData?: Data;
};
export type BuildFormStateArgs = {
    collectionSlug?: string;
    data?: Data;
    formState?: FormState;
    globalSlug?: string;
    id?: number | string;
    operation?: 'create' | 'update';
    schemaPath: string;
};
declare const buildStateFromSchema: (args: Args) => Promise<FormState>;
export default buildStateFromSchema;
//# sourceMappingURL=index.d.ts.map