import type { CollectionPermission, GlobalPermission } from 'payload/auth';
import type { Field, FieldWithPath, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { FieldMap } from './types.js';
export declare const mapFields: (args: {
    DefaultCell?: React.FC<any>;
    config: SanitizedConfig;
    fieldSchema: FieldWithPath[];
    filter?: (field: Field) => boolean;
    parentPath?: string;
    permissions?: CollectionPermission['fields'] | GlobalPermission['fields'];
    readOnly?: boolean;
}) => FieldMap;
//# sourceMappingURL=mapFields.d.ts.map