import type { ChangeEvent } from 'react';
import React from 'react';
import type { Option } from '../../../elements/ReactSelect/types.js';
import { type FormFieldBase } from '../shared.js';
import './index.scss';
export type TextInputProps = Omit<FormFieldBase, 'type'> & {
    hasMany?: boolean;
    inputRef?: React.MutableRefObject<HTMLInputElement>;
    maxRows?: number;
    minRows?: number;
    onChange?: (e: ChangeEvent<HTMLInputElement>) => void;
    onKeyDown?: React.KeyboardEventHandler<HTMLInputElement>;
    showError?: boolean;
    value?: string;
    valueToRender?: Option[];
};
export declare const TextInput: React.FC<TextInputProps>;
//# sourceMappingURL=Input.d.ts.map