import type { Permissions } from 'payload/auth';
import type { EditViewProps, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { ComponentMap } from './types.js';
export declare const buildComponentMap: (args: {
    DefaultCell: React.FC<any>;
    DefaultEditView: React.FC<EditViewProps>;
    DefaultListView: React.FC<EditViewProps>;
    children: React.ReactNode;
    config: SanitizedConfig;
    permissions?: Permissions;
    readOnly?: boolean;
}) => {
    componentMap: ComponentMap;
    wrappedChildren: React.ReactNode;
};
//# sourceMappingURL=index.d.ts.map